# bijoe - BI dashboard
# Copyright (C) 2015  Entr'ouvert
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.conf.urls import include, url
from django.contrib import admin
from django.conf import settings

import views

urlpatterns = [
    url(r'^$', views.homepage, name='homepage'),
    url(r'^admin/', include(admin.site.urls)),
    url(r'^accounts/login/$', views.login, name='auth_login'),
    url(r'^accounts/logout/$', views.logout, name='auth_logout'),
    url(r'^manage/menu.json$', views.menu_json, name='menu-json'),
    url(r'^visualization/', include('bijoe.visualization.urls')),
]

if 'mellon' in settings.INSTALLED_APPS:
    urlpatterns += [url(r'^accounts/mellon/', include('mellon.urls'))]
